## ros-kinetic-husky-navigation 0.3.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(husky_navigation)

find_package(catkin REQUIRED roslaunch)

catkin_package()

roslaunch_add_file_check(launch)

install(
  DIRECTORY config launch maps
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-husky-navigation (0.3.8-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Oct 2020 04:00:00 -0000

ros-kinetic-husky-navigation (0.3.7-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-kinetic-husky-navigation (0.3.6-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-kinetic-husky-navigation (0.3.5-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-kinetic-husky-navigation (0.3.4-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-kinetic-husky-navigation (0.3.3-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-kinetic-husky-navigation (0.3.2-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-kinetic-husky-navigation (0.3.1-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-kinetic-husky-navigation (0.3.0-1xenial) xenial; urgency=high

  * Updated all package versions to 0.2.6.
  * Fixed typo in URLs.
  * Remove defunct email address
  * Updated maintainers.
  * Add interface definitions
  * Contributors: Paul Bovbel, Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-kinetic-husky-navigation (0.2.7-1xenial) xenial; urgency=high

  * Removed move_base topic remap so it publishes to just cmd_vel to avoid confusion.
  * Remapping the move_base topic to be compatible with cpr autonomy core.
  * Contributors: Peiyi Chen

 -- Paul Bovbel <paul@bovbel.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-kinetic-husky-navigation (0.2.6-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-kinetic-husky-navigation (0.2.5-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 16 Apr 2015 04:00:00 -0000

ros-kinetic-husky-navigation (0.2.4-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 13 Apr 2015 04:00:00 -0000

ros-kinetic-husky-navigation (0.2.3-1xenial) xenial; urgency=high

  * Increase inflation radius
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-kinetic-husky-navigation (0.2.2-1xenial) xenial; urgency=high

  * Fix package urls
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-kinetic-husky-navigation (0.2.1-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-kinetic-husky-navigation (0.2.0-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-kinetic-husky-navigation (0.1.2-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Tue, 17 Feb 2015 05:00:00 -0000

ros-kinetic-husky-navigation (0.1.1-1xenial) xenial; urgency=high

  * Update web and maintainers
  * More meaningful name for mapless navigation demo
  * Add missing dependencies
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-kinetic-husky-navigation (0.1.0-1xenial) xenial; urgency=high

  * Add exploration demo
  * Indigo release refactor
  * adding prebuilt maps for playpen, slightly more representative map then willowgarage world
  * Contributors: Paul Bovbel, Prasenjit Mukherjee

 -- Paul Bovbel <paul@bovbel.com>  Thu, 15 Jan 2015 05:00:00 -0000

ros-kinetic-husky-navigation (0.0.6-1xenial) xenial; urgency=high

  * Remove attempt to install now gone laser directory.

 -- Paul Bovbel <paul@bovbel.com>  Sat, 05 Oct 2013 04:00:00 -0000

ros-kinetic-husky-navigation (0.0.5-1xenial) xenial; urgency=high

  * Depend on roslaunch for the check macro.

 -- Paul Bovbel <paul@bovbel.com>  Sat, 05 Oct 2013 04:00:00 -0000

ros-kinetic-husky-navigation (0.0.4-1xenial) xenial; urgency=high

  * restructuring launch file locations, cleaning out redundant 'laser' folder
  * adding dependencies to the package and launch file test in CMake

 -- Paul Bovbel <paul@bovbel.com>  Fri, 04 Oct 2013 04:00:00 -0000

ros-kinetic-husky-navigation (0.0.3-1xenial) xenial; urgency=high

  * Install the right things.
  * Remove urdf folder.

 -- Paul Bovbel <paul@bovbel.com>  Fri, 04 Oct 2013 04:00:00 -0000

ros-kinetic-husky-navigation (0.0.2-1xenial) xenial; urgency=high

  * cleanup of odom_navigation file and adding tolerance parameters
  * removed legacy outdoor navigation demo
  * moving param files for odometry navigation around and changed the launchfile to reflect change
  * first commit of move_base launch and configuration files in the odom frame
  * first commit of catkinized version

 -- Paul Bovbel <paul@bovbel.com>  Fri, 04 Oct 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-husky-navigation
Section: misc
Priority: optional
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: http://ros.org/wiki/husky_navigation
Standards-Version: 3.9.2

Package: ros-kinetic-husky-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-amcl, ros-kinetic-base-local-planner, ros-kinetic-dwa-local-planner, ros-kinetic-frontier-exploration, ros-kinetic-gmapping, ros-kinetic-map-server, ros-kinetic-move-base, ros-kinetic-navfn
Description: Autonomous mapping and navigation demos for the Clearpath Husky

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-husky-navigation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
